cereal::traits::is_default_constructible< T > Struct Template Reference

Determines whether the class T can be default constructed by cereal::access. More...

`#include </home/shane/workspace/cereal/include/cereal/details/traits.hpp>`

## Static Public Member Functions

template<class TT >
static auto | test (int) -> decltype(cereal::access::construct< TT >(), yes())
template<class >
static no | test (...)

## Static Public Attributes

static const bool | value = std::is_same<decltype(test<T>(0)), yes>::value

## Detailed Description

### template<class T>
struct cereal::traits::is_default_constructible< T >

Determines whether the class T can be default constructed by cereal::access.

The documentation for this struct was generated from the following file:

- /home/shane/workspace/cereal/include/cereal/details/traits.hpp